Page MenuHomePhabricator

Investigate ways to make wikimediafoundation.org more open
Closed, DeclinedPublic

Description

Currently wikimediafoundation.org is a fishbowl wiki, meaning only certain users can make changes while all pages are visible. It would be nice if this wiki could allow feedback on the site (perhaps on the talk namespaces) or even have something like FlaggedRevs implemented so that users could change pages with moderation.

The biggest current obstacle to opening editing is that raw HTML is enabled on this wiki. However, even with this obstacle, it's important that such a prominent wiki organization allow outsiders to contribute to its foundation site in the same way that they can contribute to other projects such as Wikipedia.


Version: unspecified
Severity: enhancement
URL:

Details

Reference
bz27006

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:16 PM
bzimport set Reference to bz27006.
bzimport added a subscriber: Unknown Object (MLST).

http://lists.wikimedia.org/pipermail/foundation-l/2011-January/063620.html provides further discussion and justification for making wikimediafoundation.org more open.

The Foundation's web presence has multiple issues:

  1. www.wikimedia.org is a really dummy place now - should be changed into an interactive hub streaming content from all Wikimedia projects (including Foundation)
  2. wikimediafoundation.org shoudl move to foundation.wikimedia.org
  3. open up the Foundation's wiki
hashar added a comment.Feb 1 2013, 1:40 PM

MZ is there any progress on this ? Is it worth keeping this bug here or can we simply close it? thx!

(In reply to comment #4)

MZ is there any progress on this ? Is it worth keeping this bug here or can
we simply close it? thx!

Well, lack of progress isn't ever a good reason to close a legitimate bug. ;-)

Check out https://wikimediafoundation.org/wiki/User:Legoktm/Liberation and bug 44473, which is probably a dependency or blocker of this bug. I guess this bug should become a tracking bug or something.

(In reply to comment #5)

(In reply to comment #4)

MZ is there any progress on this ? Is it worth keeping this bug here or can
we simply close it? thx!

Well, lack of progress isn't ever a good reason to close a legitimate bug.
;-)

I think this is now clearly a wontfix. http://thread.gmane.org/gmane.org.wikimedia.foundation/66043/

Sj added a comment.Mar 13 2014, 2:00 AM

The bug here remains unfixed: Both leaving and finding discussions about pages on the WMF wiki is broken. It's not clear how to leave comments; comments get sent to a different site; it's hard to track them as they are left and archived in a way that often doesn't match the original page.

I know of no reason not to fix this, though it may be a low priority.
This bug report wasn't framed as a specific feature request, so here is one:

Please allow visitors to leave comments directly in the Talk namespace on the wmfwiki, so that discussion threads are clearly linked from the page in question, and conversely so that one can find all past discussion threads about that page.

Ideas noted on Legoktm's page may be related but not necessary for this.

(In reply to SJ from comment #7)

Please allow visitors to leave comments directly in the Talk namespace on
the wmfwiki, so that discussion threads are clearly linked from the page in
question, and conversely so that one can find all past discussion threads
about that page.

Rephrasing summary so this ticket becomes potentially actionable.

(In reply to Andre Klapper from comment #8)

(In reply to SJ from comment #7)

Please allow visitors to leave comments directly in the Talk namespace on
the wmfwiki, so that discussion threads are clearly linked from the page in
question, and conversely so that one can find all past discussion threads
about that page.

Rephrasing summary so this ticket becomes potentially actionable.

Reverting, This is a overall tracking bug for many things that need to (or can) be done. I will be filing several sub-bugs later on that target specific goals.

For a tracking bug it would have to track actual actionable tasks which wasn't the case so far. Thanks for creating some sub-bugs soon!

Ricordisamoa added a subscriber: Ricordisamoa.
He7d3r awarded a token.May 4 2015, 1:39 PM
He7d3r added a subscriber: He7d3r.
-jem- added a subscriber: -jem-.Aug 5 2015, 4:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 4:22 PM
Danny_B added a subscriber: Danny_B.May 5 2016, 9:11 PM
Danny_B removed a subscriber: wikibugs-l-list.

Adding Legal since it may have some consequencies.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJun 29 2016, 9:14 AM
Nemo_bis rescinded a token.Jul 16 2016, 8:00 AM
Nemo_bis awarded a token.
ZhouZ moved this task from Backlog to Assigned on the WMF-Legal board.Jul 18 2016, 11:12 PM
ZhouZ added a subscriber: ZhouZ.
Nemo_bis updated the task description. (Show Details)May 4 2017, 7:39 AM
Varnent closed this task as Declined.Jul 31 2018, 6:20 PM
Varnent added a subscriber: Varnent.

No longer applies to new site.

No longer applies to new site.

I'm confused how this task no longer applies. The new site seems even more closed and restricted.

Still applies to https://foundation.wikimedia.org/ I think?

Still applies to both foundation.wikimedia.org and wikimediafoundation.org, but one of the two should probably be split off into a separate task.

Still applies to https://foundation.wikimedia.org/ I think?

Still applies to both foundation.wikimedia.org and wikimediafoundation.org, but one of the two should probably be split off into a separate task.

The specific items mentioned seem to apply more today to foundation.wikimedia.org than wikimediafoundation.org. If there's a desire to reopen, suggest this one be used for that site instead. However, as mentioned in other tickets, there are a lot of changes to that site coming (and some already made) which also make much of this outdated as well. This overall topic seems more appropriate for discussion on Meta-Wiki than Phabricator, in my opinion, as the specific technical requests made do not really apply anymore.